List Developers
GET /api/developers
GET /api/developersInteractive request editor loads with JavaScript.
Authorization
BearerAuth In: header
Query Parameters
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order developers by.
"last_active_at"Value in
- "last_active_at"
- "created_at"
Condition to search resources by.
Response Body
application/json
application/json
application/json
curl -X GET "$API_BASE_URL/api/developers?search=version%253Dv2"{
"list": [
{
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"name": "dev one",
"last_active_at": "2025-01-01T00:00:00.000Z",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z"
}
],
"total": 1
}Bad request.
{
"status": 400,
"message": "error message"
}Unauthorized.
{
"status": 401,
"message": "unauthorized"
}Internal server error.
Complete operation details and schema variants
GET /api/developers
List Developers
Parameters
page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order developers by.search(query, string, optional): Condition to search resources by.
Responses
200:list(array, required): An array of developers.list[].id(string, required): Developer ID.list[].name(string, required): Developer name.list[].last_active_at(string, optional):list[].created_at(string, required):list[].updated_at(string, required):total(integer, required): Total number of objects.400: Bad request.status(integer, required): The HTTP status code of the error response.message(string, required): The error message.401: Unauthorized. Response fields (application/json): identical toGET /api/developers, response 400 above.500: Internal server error.
cURL
curl -X GET '$API_BASE_URL/api/developers'